﻿// ----------------------------------------------------------------------------------
// Sample Code from Fernando Machado Píriz's blog: http://fernandomachadopiriz.com
//
// <copyright company="Fernando Machado Píriz" file="MainModel.cs">
// Copyright (c) Fernando Machado Píriz. Distributed under FSF's GPL v2. </copyright>
// ----------------------------------------------------------------------------------
// This code and information are provided "as is" without warranty of any kind,
// either expressed of implied, including but not limited to the implied warranties
// of merchantability and/or fitness for a particular purpose.
// ----------------------------------------------------------------------------------
namespace GivingAPresentation
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using GivingAPresentation.Commons;
    
    /// <summary>
    /// The model of the <code>MainView</code> view using the Model View View Model pattern.
    /// </summary>
    public class MainModel : BaseModel
    {
        /// <summary>
        /// The backend field for the <code>Presenting</code> property.
        /// </summary>
        private bool presenting;

        /// <summary>
        /// Gets or sets a value indicating whether the user is giving a presentation.
        /// </summary>
        public bool Presenting
        {
            get
            {
                return this.presenting;
            }

            set
            {
                this.presenting = value;
                this.NotifyPropertyChanged("Presenting");
            }
        }
    }
}
